Bug 258851 - NullPointerException at com.sun.tools.javac.jvm.Gen.getAndRemoveNonFieldTAs
NullPointerException at com.sun.tools.javac.jvm.Gen.getAndRemoveNonFieldTAs
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
8.2
All All
: P2 (vote)
: Dev
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-15 09:54 UTC by Charlie3D
Modified: 2017-05-12 01:45 UTC (History)
12 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.52 KB, text/plain)
2016-04-15 09:54 UTC, Charlie3D
Details
stacktrace (4.56 KB, text/plain)
2016-09-10 21:06 UTC, michbarsinai
Details
stacktrace (4.40 KB, text/plain)
2016-09-18 21:48 UTC, Vladimir Voskresensky
Details
stacktrace (4.40 KB, text/plain)
2016-09-19 11:12 UTC, Exceptions Reporter
Details
stacktrace (4.56 KB, text/plain)
2016-10-27 20:56 UTC, athompson
Details
stacktrace (4.40 KB, text/plain)
2016-11-29 08:27 UTC, jherkel
Details
stacktrace (4.40 KB, text/plain)
2017-01-12 21:38 UTC, Jesse Glick
Details
stacktrace (4.56 KB, text/plain)
2017-01-28 14:59 UTC, brettryan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Charlie3D 2016-04-15 09:54:14 UTC
Build: NetBeans IDE Dev (Build 201602290002)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.51-b03, Java(TM) SE Runtime Environment, 1.8.0_51-b16
OS: Windows 8

User Comments:
Charlie3D: Merge Conflicts Resolver




Stacktrace: 
java.lang.NullPointerException
   at com.sun.tools.javac.jvm.Gen.getAndRemoveNonFieldTAs(Gen.java:526)
   at com.sun.tools.javac.jvm.Gen.normalizeDefs(Gen.java:462)
   at com.sun.tools.javac.jvm.Gen.genClass(Gen.java:2352)
   at com.sun.tools.javac.main.JavaCompiler.genCode(JavaCompiler.java:739)
   at com.sun.tools.javac.main.JavaCompiler.generate(JavaCompiler.java:1607)
   at com.sun.tools.javac.api.JavacTaskImpl$6.process(JavacTaskImpl.java:539)
Comment 1 Charlie3D 2016-04-15 09:54:16 UTC
Created attachment 159281 [details]
stacktrace
Comment 2 michbarsinai 2016-09-10 21:06:49 UTC
Created attachment 161991 [details]
stacktrace

while fixing a merge conflict in a pon.xml file, and swiching between panes.
Comment 3 Exceptions Reporter 2016-09-10 21:06:54 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=223544
Comment 4 Vladimir Voskresensky 2016-09-18 21:48:54 UTC
Created attachment 162101 [details]
stacktrace

modified Preprocessor.java
Comment 5 Exceptions Reporter 2016-09-19 11:12:54 UTC
Created attachment 162111 [details]
stacktrace

when working for 2-4 hours
Comment 6 Exceptions Reporter 2016-09-29 07:43:09 UTC
This bug already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=223544
Comment 7 athompson 2016-10-27 20:56:42 UTC
Created attachment 162666 [details]
stacktrace

pulled changes from git (rebase)
Comment 8 jherkel 2016-11-29 08:27:05 UTC
Created attachment 163070 [details]
stacktrace

I edited my source code file with JPA annotations
Comment 9 Exceptions Reporter 2016-12-03 22:18:08 UTC
This bug already has 20 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=223544
Comment 10 Jesse Glick 2017-01-12 21:38:39 UTC
Created attachment 163386 [details]
stacktrace

Resolving merge conflicts.
Comment 11 brettryan 2017-01-28 14:59:44 UTC
Created attachment 163496 [details]
stacktrace

Corrected source code conflict in pom.xml
Comment 13 Quality Engineering 2017-05-12 01:45:03 UTC
Integrated into 'main-silver', will be available in build *201705120001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/4f325cede93c
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #258851 - NullPointerException at com.sun.tools.javac.jvm.Gen.getAndRemoveNonFieldTAs - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo